{ 
  config,
  pkgs,
  ...
}: {
  imports =
    [ 
    ../_/cfg.nix
    ./hardware-configuration.nix
    ../_/host.nix
    ];

  boot.loader = {
    systemd-boot = {
      enable = true;
      configurationLimit = 8;
    };
    efi = {
      canTouchEfiVariables = true;
      efiSysMountPoint = "/boot/efi";
    };
  };

  hostcfg = {
    hostname = "iriy";
    wlp_if = "wlp9s0";
    wg_ip4 = "10.10.1.7/24";
    wg_ip6 = "fd10:10:10::7/128";
    wg_pk = config.sops.secrets.iriy_wg_priv.path;
  };

}
