{ 
  config,
  pkgs,
  ...
}: {
  imports =
    [ 
    ../_/cfg.nix
    ./hardware-configuration.nix
    ../_/host.nix
    ];

  boot.loader = {
    systemd-boot = {
      enable = true;
      configurationLimit = 8;
    };
    efi = {
      canTouchEfiVariables = true;
      efiSysMountPoint = "/boot/efi";
    };
  };


  hostcfg = {
    hostname = "valinor";
    wlp_if = "wlp3s0";
    wg_ip4 = "10.10.1.5/24";
    wg_ip6 = "fd10:10:10::5/128";
    wg_pk = config.sops.secrets.valinor_wg_priv.path;
  };

}
